<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class AdminModeratePluginSettingsView extends AdminPluginTemplatedView
	{

		function AdminModeratePluginSettingsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "moderate", "pluginsettings" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_moderate_enabled" );
			$bypassByIp = $blogSettings->getValue( "plugin_moderate_bypass_by_ip" );
			$bypassByAuth = $blogSettings->getValue( "plugin_moderate_bypass_by_auth" );
			$markRepeatedByIp = $blogSettings->getValue( "plugin_moderate_mark_repeated_by_ip" );
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );		
            $this->setValue( "bypassByIp", $bypassByIp );
			$this->setValue( "bypassByAuth", $bypassByAuth );
            $this->setValue( "markRepeatedByIp", $markRepeatedByIp );
			
			parent::render();
		}
	}
?>